System.Web 2.0.0.0 System.Web.UI.StateManagedCollection

The class is used to store and manage a collection of objects in a control. The control uses the class as the underlying data type of the and properties.

The and properties are an alternative to the individual style properties (such as ). These properties are applied to regular menu items and the selected menu item, respectively, based on the menu item's level in the menu. The first style in the collection corresponds to the menu item style for the first level of the menu. The second style in the collection corresponds to the menu item style for the second level of the menu, and so on. The and properties are most often used to generate menus where menu items at a certain level have the same appearance, regardless of whether they have submenus.

The class inherits most of its members from the class. For more information on the inherited members, see .

Represents a collection of objects in a control. This class cannot be inherited.

- Method
  System.Int32 ``

  Use the method to append the specified object to the end of the collection. As an alternative, you can insert a object into the collection at a specific index by using the method.

  Appends the specified object to the end of the current collection.

  The zero-based index of the added .

  The to append to the end of the current collection. 2.0.0.0
- Method
  System.Boolean ``

  Use the method to determine whether a object is contained in the collection. This method is commonly used to test for the existence of a object before performing a task, such as adding or removing a menu item style from the collection.

  Determines whether the specified object is in the collection.

  true if the specified is contained in the collection; otherwise, false.

  The to find. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Use the method to copy the contents of the object into the specified zero-based array of objects. Items are copied starting at the specified index of the target array. You can then use the array to access the items in the collection.

  Copies all the items from the object to a compatible one-dimensional array of objects, starting at the specified index in the target array.

  The position in the target array at which to start receiving the copied content. 2.0.0.0
- Method
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Type[] To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int32 ``

  Use the method to determine the zero-based index of the specified object in the collection. If the node is not in the collection, the method returns -1.

  If the specified object appears multiple times in the collection, the index of the first occurrence is returned.

  Determines the index of the specified object in the collection.

  The zero-based index of the first occurrence of the specified , if found; otherwise, -1.

  The to locate. 2.0.0.0
- Method
  System.Void `` ``

  Use the method to insert the specified object into the collection at the specified zero-based index.

  As an alternative, you can append a object to the end of the collection using the method.

  Inserts the specified object into the collection at the specified index location.

  The zero-based index location at which to insert the . The to insert. 2.0.0.0
- Property
  System.Web.UI.WebControls.MenuItemStyle `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  Use the method to remove the specified object from the collection. All items that follow that menu item style are then moved up to fill the vacant position. The indexes of the moved items are also updated.

  As an alternative, you can remove a object at a specific index by using the method.

  Removes the specified object from the collection.

  The to remove. 2.0.0.0
- Method
  System.Void ``

  Use the method to remove the object at the specified zero-based index location from the collection. All items that follow that node are then moved up to fill the vacant position. The indexes of the moved items are also updated.

  As an alternative, you can remove a specific object by using the method.

  Removes the object at the specified index location from the collection.

  The zero-based index location of the to remove. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0